> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdworkspacestatus.md).

# Get-RASAVDWorkspaceStatus

### NAME

Get-RASAVDWorkspaceStatus\ <br>

### SYNOPSIS

Retrieves the status of one or multiple AVD Workspaces.\ <br>

### SYNTAX

Get-RASAVDWorkspaceStatus \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspaceStatus.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspaceStatus.html#CommonParameters)*>*]\
\
Get-RASAVDWorkspaceStatus \[\[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspaceStatus.html#InputObject)] *<*[*AVDWorkspace*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace.html)*>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspaceStatus.html#CommonParameters)*>*]\
\
Get-RASAVDWorkspaceStatus \[\[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspaceStatus.html#Name)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspaceStatus.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspaceStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves information about the status of one or multiple AVD Workspaces.\
\
The cmdlet returns an object of type AVDWorkspaceStatus.\
\
To see the complete list of object properties, use the Format-List cmdlet (see examples).\
\
The result set contains only the major properties of a group; it does not include the complete list of settings supported in RAS.\ <br>

### PARAMETERS

\
-**InputObject <**[**AVDWorkspace**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace.html)**>**\
An object of type AVDWorkspace representing the AVD Workspace.\
\
To obtain the object, use the Get-RASAVDWorkspace cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
The name of the Azure Virtual Desktop Workspace for which to retrieve the information.\
\
This must be the actual Azure Virtual Desktop Workspace name.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the Azure Virtual Desktop Workspace information.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a Azure Virtual Desktop Workspace for which to retrieve the information.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[AVDWorkspace](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace.html)

### OUTPUTS

[AVDWorkspaceStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspaceStatus.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDWorkspaceStatus -ID 1 | Format-List\
\
Retrieves the status of the Workspace specified by Id.\
\
The Format-List cmdlet formats the display output to include all available Workspace properties.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdworkspacestatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
